Bug 302251 - Kernel 3002 panic (3001 OK) loading raid kernel modules w ICH5
Kernel 3002 panic (3001 OK) loading raid kernel modules w ICH5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i686 Linux
low Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 13:34 EDT by Alsa User
Modified: 2008-02-26 22:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 22:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alsa User 2007-09-23 13:34:26 EDT
Description of problem:

Since installing last kernel update from fc6, kernel 20-1.3002 panic
when loading RAID kernel device drivers.
The message includes 4 kernel modules related to RAID and ATA that 
fail to load: one of them is ata_piix, a problem (-1) with loading
parameters. The message does not stay long enough on the screen to
write it down.

Reverting back to previous kernel 20.1-3001 works just fine with
everything else unchanged.

Version-Release number of selected component (if applicable):

Grub details:
# 0. FAILS:
title Fedora Core (2.6.20-1.3002.fc6xen) new fails ati_piix load KO
	root (hd0,0)
	kernel /xen.gz-2.6.20-1.3002.fc6
	module /vmlinuz-2.6.20-1.3002.fc6xen ro root=/dev/md1 rhgb quiet
	module /initrd-2.6.20-1.3002.fc6xen.img
# 1. WORKS:
title Fedora Core (2.6.20-1.3001.fc6xen) from (hd0,0) md1 idebus(default)=33 OK
	root (hd0,0)
	kernel /xen.gz-2.6.20-1.3001.fc6 
	module /vmlinuz-2.6.20-1.3001.fc6xen ro root=/dev/md1 rhgb quiet
	module /initrd-2.6.20-1.3001.fc6xen.img

How reproducible:
Everytime.

Steps to Reproduce:
1. boot and select entry 0 from Grub (kernel 3002)
2. wait for kernel panic
3. reboot and select entry 1 from Grub (kernel 3001) boot complete
  
Actual results:
Kernel panic (-1) loading RAID, ATA (libata?) and ata_piix modules
system reboots shortly

Expected results:
Boot completes

Additional info:

Here is hardware/sata raid details from kernel 3001 successful boot log:

/var/log/dmesg
ICH5: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 16
ICH5: chipset revision 2
ICH5: not 100% native mode: will probe irqs later
...
md: raid1 personality registered for level 1
...
SCSI subsystem initialized
libata version 2.00 loaded.
ata_piix 0000:00:1f.2: version 2.00ac7
ata_piix 0000:00:1f.2: MAP [ P0 -- P1 -- ]
ACPI: PCI Interrupt 0000:00:1f.2[A] -> GSI 18 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0xEC00 ctl 0xE802 bmdma 0xDC00 irq 16
ata2: SATA max UDMA/133 cmd 0xE400 ctl 0xE002 bmdma 0xDC08 irq 16
scsi0 : ata_piix
ata1.00: ATA-7, max UDMA/133, 312581808 sectors: LBA48 
ata1.00: ata1: dev 0 multi count 16
ata1.00: configured for UDMA/133
scsi1 : ata_piix
ata2.00: ATA-7, max UDMA/133, 312581808 sectors: LBA48 
ata2.00: ata2: dev 0 multi count 16
ata2.00: configured for UDMA/133
scsi 0:0:0:0: Direct-Access     ATA      WDC WD1600JS-22M 02.0 PQ: 0 ANSI: 5
SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sda: 312581808 512-byte hdwr sectors (160042 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 >
sd 0:0:0:0: Attached scsi disk sda
scsi 1:0:0:0: Direct-Access     ATA      WDC WD1600JS-00M 02.0 PQ: 0 ANSI: 5
SCSI device sdb: 312581808 512-byte hdwr sectors (160042 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sdb: 312581808 512-byte hdwr sectors (160042 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sdb: sdb1 sdb2 sdb3 sdb4 < sdb5 >
sd 1:0:0:0: Attached scsi disk sdb
...
Comment 1 Alsa User 2007-10-20 08:14:17 EDT
Here is copy of the error message from memory:

XEN error inserting: /lib/ext3.ko (-1)
XEN error inserting: /lib/raid456.ko (-1)
XEN error inserting: /lib/ata_piix.ko (-1)
XEN error inserting: /lib/usb_storage.ko (-1)

then kernel panic and auto reboot after a few seconds

Clearly there is parameter incompatibility with kernel 3002 and these modules.
I have installed the latest updates as of 2007-10-19 with no improvements.
Comment 2 Chris Lalancette 2008-02-26 22:41:28 EST
Fedora Core 6 is now end-of-life, so closing this bug out.  Please test again on
Fedora 7 or later, and open a new bug if the problem persists.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.